1. Transactions
Bynet
  • šŸš€ Introdução Ć  API
  • Transactions
    • Create
      POST
    • Find by ID
      GET
    • Summary by ID
      GET
  • Transfers
    • Create
      POST
    • Update
      POST
    • Find all
      GET
    • Find by ID
      GET
    • summary
      GET
  • Cashout
    • Create
      POST
    • Find all
      GET
    • Find by ID
      GET
  • Respostas de Webhook
    • Transaction
  • Schemas
    • User
      • Transactions
        • POST /api/user/transactions
  1. Transactions

Create

POST
/api/user/transactions
Este endpoint permite criar uma nova transação para o usuÔrio autenticado, com todas as informações necessÔrias sobre pagamento, cliente, envio e itens da compra.

āœ… Requisitos da Requisição#

MƩtodo HTTP: POST
Endpoint: /api/user/transactions
Content-Type: application/json
Autenticação: api_token

🧠 Header da requisição#

CampoTipoObrigatórioDescrição
x-api-keystringSimToken de autenticação API Key
User-AgentAtivoB2B/1.0Sim

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/user/transactions' \
--header 'x-api-key: {Token}' \
--header 'User-Agent: AtivoB2B/1.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": 0,
    "paymentMethod": "string",
    "customer": {
        "name": "string",
        "email": "string",
        "document": {
            "number": "string",
            "type": "string"
        },
        "phone": "string",
        "externalRef": "string",
        "address": {
            "street": "string",
            "streetNumber": "string",
            "complement": "string",
            "zipCode": "string",
            "neighborhood": "string",
            "city": "string",
            "state": "string",
            "country": "string"
        }
    },
    "shipping": {
        "fee": 0,
        "address": {
            "street": "string",
            "streetNumber": "string",
            "complement": "string",
            "zipCode": "string",
            "neighborhood": "string",
            "city": "string",
            "state": "string",
            "country": "string"
        }
    },
    "items": [
        {
            "title": "string",
            "unitPrice": 0,
            "quantity": 0,
            "tangible": true,
            "externalRef": "string"
        }
    ],
    "pix": {
        "expiresInDays": 0
    },
    "postbackUrl": "string",
    "metadata": "string"
}'
Response Response Example
200 - Success
{
    "status": 200,
    "message": "Transação criada com sucesso.",
    "data": {
        "id": "2a205aaf-c409-420f-a17c-3fb7ff56e8e5",
        "amount": 1000,
        "paymentMethod": "PIX",
        "refundedAmount": 0,
        "installments": null,
        "status": "WAITING_PAYMENT",
        "postbackUrl": null,
        "metadata": "{\"order_number\":\"MT251215CD97\"}",
        "traceable": false,
        "secureId": null,
        "secureUrl": null,
        "paidAt": null,
        "ip": "201.182.197.234",
        "externalRef": "35b76a5b3eb242deb35bb4367f8a59b8",
        "endToEndId": null,
        "externalNsu": null,
        "releaseDate": null,
        "refusedReason": null,
        "payload": {
            "data": {
                "ip": "201.182.197.234",
                "pix": {
                    "expiresInDays": 1
                },
                "items": [
                    {
                        "title": "Body Infantil Manga Curta",
                        "quantity": 1,
                        "tangible": true,
                        "unitPrice": 3990,
                        "externalRef": "item-17"
                    },
                    {
                        "title": "Camisa Polo Infantil Piquet",
                        "quantity": 1,
                        "tangible": true,
                        "unitPrice": 9990,
                        "externalRef": "item-18"
                    },
                    {
                        "title": "Frete Express",
                        "quantity": 1,
                        "tangible": false,
                        "unitPrice": 1499,
                        "externalRef": "shipping"
                    }
                ],
                "amount": 1000,
                "customer": {
                    "name": "Carlos Santos Rocha",
                    "email": "souza.julia1638@outlook.com",
                    "phone": "91741483055",
                    "address": {
                        "city": "Ananindeua",
                        "state": "PA",
                        "street": "Avenida Principal",
                        "country": "br",
                        "zipCode": "67015710",
                        "complement": "CondomĆ­nio Lago Azul",
                        "neighborhood": "Levilândia",
                        "streetNumber": "101"
                    },
                    "document": {
                        "type": "CPF",
                        "number": "48884514860"
                    },
                    "externalRef": "MT251215CD97"
                },
                "metadata": "{\"order_number\":\"MT251215CD97\"}",
                "paymentMethod": "PIX"
            },
            "customer": {
                "id": "838d89f4-6570-4ef6-b43b-3e437013a05e",
                "name": "ERICK YAN CARVALHO SOUZA",
                "email": "erickyansp@gmail.com",
                "phone": "74999633207",
                "address": null,
                "document": {
                    "id": "c3de7aac-e58e-4ed9-b81d-49a9a343fdad",
                    "type": "CPF",
                    "number": "48884514860",
                    "customerId": "838d89f4-6570-4ef6-b43b-3e437013a05e"
                },
                "addressId": null,
                "birthdate": null,
                "createdAt": "2025-09-29T18:22:41.954Z",
                "externalRef": "15e699ec-10fd-42f7-a140-2ee2cf6fddee"
            },
            "transactionId": "2a205aaf-c409-420f-a17c-3fb7ff56e8e5"
        },
        "provider": "SomosSimpay",
        "createdAt": "2026-02-15T14:49:24.983Z",
        "updatedAt": "2026-02-15T14:49:25.322Z",
        "gatewayId": "ebb734e3-f8ef-4ef4-a6c5-f68e992fa57e",
        "companyId": "5f1308f6-9fd3-4319-a023-b4742f879f4f",
        "customerId": "838d89f4-6570-4ef6-b43b-3e437013a05e",
        "cardId": null,
        "gatewayProviderId": "07e29923-e35b-4921-b182-3874ff356c5e",
        "affiliatesId": null,
        "anticipationId": null,
        "gatewayDynamicPaymentMethodId": null,
        "dynamicFields": null,
        "returnUrl": null,
        "currency": "BRL",
        "qrCode": "00020101021226940014br.gov.bcb.pix2572qrcode.somossimpay.com.br/v2/qr/cob/35b76a5b-3eb2-42de-b35b-b4367f8a59b85204000053039865802BR5925WF INTERMEDIACAO LTDA  ME6009SAO PAULO62070503***630439BA",
        "barcode": null,
        "payUrl": null,
        "webUrl": null,
        "appUrl": null,
        "source": "API",
        "boleto": null,
        "card": null,
        "pix": {
            "qrcode": "00020101021226940014br.gov.bcb.pix2572qrcode.somossimpay.com.br/v2/qr/cob/35b76a5b-3eb2-42de-b35b-b4367f8a59b85204000053039865802BR5925WF INTERMEDIACAO LTDA  ME6009SAO PAULO62070503***630439BA",
            "url": null,
            "expirationDate": "2026-02-15T15:49:25.159Z"
        },
        "customer": {
            "id": "838d89f4-6570-4ef6-b43b-3e437013a05e",
            "externalRef": "15e699ec-10fd-42f7-a140-2ee2cf6fddee",
            "name": "ERICK YAN CARVALHO SOUZA",
            "email": "erickyansp@gmail.com",
            "phone": "74999633207",
            "birthdate": null,
            "createdAt": "2025-09-29T18:22:41.954Z",
            "addressId": null,
            "document": {
                "type": "CPF",
                "number": "48884514860"
            },
            "address": null
        },
        "shipping": null,
        "items": [
            {
                "title": "Body Infantil Manga Curta",
                "quantity": 1,
                "tangible": true,
                "unitPrice": 3990,
                "externalRef": "item-17"
            },
            {
                "title": "Camisa Polo Infantil Piquet",
                "quantity": 1,
                "tangible": true,
                "unitPrice": 9990,
                "externalRef": "item-18"
            },
            {
                "title": "Frete Express",
                "quantity": 1,
                "tangible": false,
                "unitPrice": 1499,
                "externalRef": "shipping"
            }
        ],
        "delivery": null,
        "fee": {
            "netAmount": 760,
            "fixedAmount": 190,
            "estimatedFee": 240,
            "spreadPercentage": 5
        },
        "refunds": []
    },
    "error": null
}
Modified atĀ 2026-03-10 14:22:26
Previous
šŸš€ Introdução Ć  API
Next
Find by ID
Built with